Subject: Re: CYGWIN GCC Switch
From: Todd Goodman <[email-masked]>
To: "Sagar R. Shah" <[email-masked]>
Cc: [email-masked]
Date: Wed, 4 Oct 2000 11:44:58 -0400

My cygwin perl (from Chuck Wilson's web site) gives "cygwin" for $^O.

I'd recommend running the Cygwin perl in the cygwin environment.

* Sagar R. Shah <[email-masked]> [001004 11:37]:
> On Wed, 4 Oct 2000, Todd Goodman wrote:
> 
> > Does the $^O variable do what you want?
> 
> Thanks for the idea, but no :-( 
> 
> $^O just has "MSWin32" or something like that in it. Although i'm not sure
> whether that is because I'm running Cygwin on Win98 or because my perl is
> the window ActivePerl rather than the unix/linux/cygwin version.
> 
> Any other ideas?
> 
> I could just set an environment variable in .profile, but not a very
> portable solution.
> 
> > 
> > * Sagar R. Shah <[email-masked]> [001004 03:00]:
> > > And does anyone know whether you can do more or less the same in Perl?
> 
> --------------------------------------------------------------------------
> Sagar R. Shah                 www: http://thor.cam.ac.uk/~srs29
> Room Z5                       map: http://thor.cam.ac.uk/~srs29/sidmap.jpg
> Sidney Sussex College         ICQ: 34249234
> Cambridge                     Mob: 07703 663 879
> CB2 3HU                       Tel: Coming.....
> --------------------------------------------------------------------------
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]